// Import the 'diff' library (must be installed via npm)
import { diffChars } from 'diff';
import './styles.css';
/**
 * Highlights the differences between two strings.
 * @param {string} original - The original string.
 * @param {string} modified - The modified string.
 * @returns {string} The HTML string with differences highlighted.
 */
export default function highlightDifferences(original, modified) {
    const changes = diffChars(original, modified);

    let result = '';
    changes.forEach((part) => {
        if (part.added) {
            result += `<span class="added">${part.value}</span>`;
        } else if (part.removed) {
            result += `<span class="removed">${part.value}</span>`;
        } else {
            result += part.value;
        }
    });

    return result;
}
